[Overview][Procedures and functions][Index] | Reference for unit 'LCLMessageGlue' (#lcl)

# LCLSendActivateMsg

Delivers a LM_ACTIVATE message to the specified target control.

## Declaration

Source position: lclmessageglue.pas line 37

`function LCLSendActivateMsg(`
`const Target: TControl;`
`Active: Word;`
`Minimized: Boolean;`
`ActiveWindow: HWND = 0`
`):PtrInt;`

## Arguments

`Target` |  | The Control where the LM_ACTIVATE message is delivered.
`Active` |  | Indicates if the control should be active.
`Minimized` |  | True if the control should be minimized. False if the control is not in the minimized state.
`ActiveWindow` |  | Optional handle for the current or newly active window for the control. Default value is 0.

## Function result

Pointer to the integer result code from the delivered message. 0 indicates the message was accepted. A non-zero value indicates the message was rejected.

## Description

Calls DeliverMessage to apply or dispatch the message to the target.

## See also

DeliverMessage |  | Delivers a message (TLMessage) to the specified component, control or object.
TLMessage |  |